Bug 849249 - pulp.repo have a missing "/" in the baseurl during pulp-consumer bind
pulp.repo have a missing "/" in the baseurl during pulp-consumer bind
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity medium
: ---
: Sprint 39
Assigned To: Jeff Ortel
Preethi Thomas
: Triaged
Depends On:
Blocks: 848520 850929
  Show dependency treegraph
 
Reported: 2012-08-17 15:44 EDT by dgao
Modified: 2013-09-09 12:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 850929 (view as bug list)
Environment:
Last Closed: 2013-01-09 12:09:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dgao 2012-08-17 15:44:16 EDT
[root@pulp-nightly ~]# pulp-admin repo create --repo-id=foo --regenerate-metadata='true'
Successfully created repository [foo]

[root@pulp-nightly ~]# pulp-admin repo uploads rpm --file /tmp/unsigned-1.0-1.noarch.rpm --repo-id=foo
+----------------------------------------------------------------------------------------------------------+
                                                 RPM Upload
+----------------------------------------------------------------------------------------------------------+

Extracting necessary metdata for each RPM...
[=============================================================================] 100%
Analyzing: unsigned-1.0-1.noarch.rpm
... completed

Creating upload requests on the server...
[=============================================================================] 100%
Initializing: unsigned-1.0-1.noarch.rpm
... completed

Starting upload of selected packages. If this process is stopped through ctrl+c, the uploads will be paused and may be
resumed later using the resume command or cancelled entirely using the cancel command.

Uploading: unsigned-1.0-1.noarch.rpm
[=============================================================================] 100%
2099701/2099701 bytes
... completed

Importing into the repository...
... completed

Deleting the upload request...
... completed

[root@pulp-nightly ~]# pulp-admin repo publish run --repo-id=foo
+----------------------------------------------------------------------------------------------------------+
                                        Publishing Repository [foo]
+----------------------------------------------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual operation on the server.

Publishing packages...
[=============================================================================] 100%
Packages: 0/0 items
... completed

Publishing distributions...
[=============================================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[/]
... completed

Publishing repository over HTTP
[-]
... skipped

Publishing repository over HTTPS
[-]
... completed

Successfully synchronized repository

[root@pulp-nightly ~]# pulp-consumer -u admin -p admin register --consumer-id=fred
Consumer [fred] successfully registered

[root@pulp-nightly ~]# pulp-consumer bind --repo-id=foo
Consumer [fred] successfully bound to repository [foo]

[root@pulp-nightly ~]# yum search unsigned
Loaded plugins: pulp-profile-update
https://localhost/pulp/reposfoo/repodata/repomd.xml: [Errno 14] HTTP Error 404 - Not Found : https://localhost/pulp/reposfoo/repodata/repomd.xml
Trying other mirror.
Error: failure: repodata/repomd.xml from foo: [Errno 256] No more mirrors to try.
[root@pulp-nightly ~]# pulp-admin consumer package install -n unsigned --consumer-id=fred
Install task created with id [188709fa-e8a4-11e1-b060-525400d89521]

This command may be exited via ctrl+c without affecting the install.

[-]
Install failed

failure: repodata/repomd.xml from foo: [Errno 256] No more mirrors to try.


The url should of been https://localhost/pulp/repos/foo/repodata/repomd.xml.
Comment 1 dgao 2012-08-17 15:44:57 EDT
[root@pulp-nightly ~]# rpm -qa | grep "pulp"
python-pulp-common-0.0.323-1.fc16.noarch
python-pulp-agent-lib-0.0.323-1.fc16.noarch
m2crypto-0.21.1.pulp-8.fc16.x86_64
pulp-admin-client-0.0.323-1.fc16.noarch
pulp-consumer-client-0.0.323-1.fc16.noarch
pulp-rpm-admin-extensions-0.0.323-2.fc16.noarch
pulp-rpm-plugins-0.0.323-2.fc16.noarch
pulp-rpm-yumplugins-0.0.323-2.fc16.noarch
pulp-rpm-admin-client-0.0.323-1.fc16.noarch
pulp-selinux-0.0.323-1.fc16.noarch
Comment 2 Jeff Ortel 2012-08-30 14:26:39 EDT
Fixed: 0420abf3623d6aa0187cbfebb05aca3404237a16
Comment 3 Jeff Ortel 2012-09-04 16:15:13 EDT
build: 2.0.2.
Comment 4 Preethi Thomas 2012-09-10 12:16:14 EDT
[root@pulp-candidate tmp]# rpm -q pulp-rpm-server
pulp-rpm-server-2.0.3-1.fc17.noarch
[root@pulp-candidate tmp]# rpm -q pulp-rpm-consumer-client
pulp-rpm-consumer-client-2.0.3-1.fc17.noarch
[root@pulp-candidate tmp]# 


[root@pulp-candidate ~]#  pulp-admin -u admin -p admin repo create --repo-id=foo --regenerate-metadata='true'
Successfully created repository [foo]

[root@pulp-candidate tmp]# pulp-admin repo uploads rpm --file /tmp/pulp-test-package-0.2.1-1.fc11.x86_64.rpm --repo-id foo
+----------------------------------------------------------------------+
                               RPM Upload
+----------------------------------------------------------------------+

Extracting necessary metdata for each RPM...
[==================================================] 100%
Analyzing: pulp-test-package-0.2.1-1.fc11.x86_64.rpm
... completed

Creating upload requests on the server...
[==================================================] 100%
Initializing: pulp-test-package-0.2.1-1.fc11.x86_64.rpm
... completed

Starting upload of selected packages. If this process is stopped through ctrl+c,
the uploads will be paused and may be resumed later using the resume command or
cancelled entirely using the cancel command.

Uploading: pulp-test-package-0.2.1-1.fc11.x86_64.rpm
[==================================================] 100%
2216/2216 bytes
... completed

Importing into the repository...
... completed

Deleting the upload request...
... completed

[root@pulp-candidate tmp]#  pulp-admin repo publish run --repo-id=foo
+----------------------------------------------------------------------+
                      Publishing Repository [foo]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Publishing packages...
[==================================================] 100%
Packages: 0/0 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[|]
... completed

Publishing repository over HTTP
[-]
... skipped

Publishing repository over HTTPS
[-]
... completed

Successfully synchronized repository


[root@pulp-candidate tmp]# pulp-consumer -u admin -p admin register --consumer-id=fred
Consumer [fred] successfully registered

[root@pulp-candidate tmp]# pulp-consumer bind --repo-id=foo
Consumer [fred] successfully bound to repository [foo]


[root@pulp-candidate tmp]# yum search pulp
foo                                                      | 2.9 kB     00:00     
foo/primary_db                                           | 1.6 kB     00:00     
updates/pkgtags                                          |  333 B     00:00     
============================== N/S Matched: pulp ===============================
pulp-admin-client.noarch : Admin tool to administer the pulp server
pulp-agent.noarch : The Pulp agent
pulp-consumer-client.noarch : Consumer tool to administer the pulp consumer.
pulp-rpm-admin-client.noarch : The Pulp (plus) RPM admin client metapackage
pulp-rpm-agent.noarch : The Pulp (plus) RPM agent metapackage
pulp-rpm-consumer-client.noarch : The Pulp (plus) RPM consumer client
                                : metapackage
pulp-rpm-handlers.noarch : Pulp agent rpm handlers
pulp-rpm-plugins.noarch : Pulp RPM plugins
pulp-rpm-server.noarch : The Pulp (plus) RPM server metapackage
pulp-rpm-yumplugins.noarch : Yum plugins supplementing in Pulp consumer
                           : operations
pulp-selinux.noarch : Pulp SELinux policy for pulp components.
pulp-server.noarch : The pulp platform server
python-pulp-agent-lib.noarch : Pulp agent handler framework
python-pulp-bindings.noarch : Pulp REST bindings for python
python-pulp-client-lib.noarch : Pulp client extensions framework
python-pulp-common.noarch : Pulp common python packages
python-pulp-rpm-common.noarch : Pulp RPM support common library
perl-Perl-Critic-Pulp.noarch : Some add-on perlcritic policies
pulp-builtins-admin-extensions.noarch : The builtin admin client extensions
pulp-builtins-consumer-extensions.noarch : The builtin consumer client
                                         : extensions
pulp-rpm-admin-extensions.noarch : The RPM admin client extensions
pulp-rpm-consumer-extensions.noarch : The RPM consumer client extensions
pulp-test-package.x86_64 : Test package

  Name and summary matches only, use "search all" for everything.
[root@pulp-candidate tmp]# pulp-admin consumer package install -n pulp-test-package  --consumer-id=fred
Install task created with id [4d863bfa-fb62-11e1-b7ef-5452003c7b52]

This command may be exited via ctrl+c without affecting the install.

[|]
Install Succeeded

+----------------------------------------------------------------------+
                               Installed
+----------------------------------------------------------------------+

Name:    pulp-test-package
Version: 0.2.1
Arch:    x86_64
Repoid:  foo


[root@pulp-candidate tmp]#
Comment 5 Preethi Thomas 2013-01-09 12:09:59 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.